SmartgridOne logo
SmartgridOne logo
Api
Activate email OTP POSTActivate TOTP POSTGet active 2FA methods GETSet or reset email OTP POSTInitiate email OTP challenge POSTInitiate an email address transfer POSTSet or reset TOTP POSTTime until the next email OTP may be generated GETSend a password reset email POSTComplete an email address transfer PUTTime until the next recovery code guess GETDeactivate email OTP DELETEDeactivate TOTP DELETEReset the recovery codes of a user POSTSend a password reset OTP POSTTime until the next TOTP guess GETUpdate password via OTP PUTUpdate password via sudo token PUTCheck a password reset OTP POSTComplete email OTP challenge POSTVerify a recovery code POSTVerify TOTP code POST
User
POST
/user/2fa/totp/setup

Authorization

AuthorizationBearer <token>

In: header

Initiate an email address transfer POST

Providing a sudo token or an access token (if 2FA is disabled), send an email address verification code to a new email address to initiate an account email transfer. Wait at least 60 seconds between successive calls

Time until the next email OTP may be generated GET

Get the minimum time until the next OTP can be sent

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://authentication.eniris.be/user/2fa/totp/setup" \  -H "Content-Type: application/json" \  -d '{}'
{
  "url": "otpauth://totp/insights3.eniris.be:Alice?issuer=insights3.eniris.be&secret=NB2W45DFOIZA&algorithm=SHA1&digits=6&period=30"
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "Invalid email address"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "NO_TOKEN_PROVIDED"
}

Providing a sudo token (or an access token if 2FA is disabled), generate a new TOTP secret. This secret is inactive until the TOTP setup is completed

A valid sudo token (proof of presence) can be obtained via the /2fa/{method}/verify endpoints. It has a 5 minutes validity period.